##  for Mageia 9 ##

%define src_version 20180604
%define src_name    umeplus-fonts

Name:    fonts-ttf-japanese
Summary: Japanese TrueType fonts
Version: 0.%{src_version}
Release: 3.np9
License: Distributable
Group:   System/Fonts/True type
URL:     https://github.com/utuhiro78/modified-fonts#umeplus
Source0: https://github.com/utuhiro78/modified-fonts/blob/main/umeplus-fonts-%{src_version}.tar.xz

BuildArch: noarch
Provides:  xtt-fonts

%description
This Package provides Free Japanese TrueType fonts (umeplus-gothic, umeplus-p-gothic)


%prep
%setup -q -n %{src_name}-%{src_version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/japanese
install -m 644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/japanese

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/japanese \
    $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese:pri=50


%files
%doc ChangeLog README.md
%doc docs-*/
%{_datadir}/fonts/TTF/japanese/*.ttf
%{_sysconfdir}/X11/fontpath.d/ttf-japanese:pri=50


%changelog
* Wed Aug 16 2023 tomcat <> 0.20180604-3.np9
- update URL

* Sun Feb 26 2023 tomcat <> 0.20180604-2.np9
- build for Mageia 9
